Bug 1866166 - Review Request: R-keyring - Access the System Credential Store from R
Summary: Review Request: R-keyring - Access the System Credential Store from R
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-05 03:48 UTC by Elliott Sales de Andrade
Modified: 2020-08-17 01:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-17 01:07:59 UTC
Type: ---
jamatos: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2020-08-05 03:48:11 UTC
Spec URL: https://qulogic.fedorapeople.org/reviews/R-keyring/R-keyring.spec
SRPM URL: https://qulogic.fedorapeople.org/reviews/R-keyring/R-keyring-1.1.0-1.fc31.src.rpm

Description:
Platform independent API to access the operating system's credential store.
Currently supports: Keychain on macOS, Credential Store on Windows, the Secret
Service API on Linux, and a simple, platform independent store implemented with
environment variables. Additional storage back-ends can be added easily.


Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=48696442

Comment 1 José Matos 2020-08-06 09:58:21 UTC
fedora-review (non) issues:
=======
- Package have the default element marked as %%doc :DESCRIPTION
- Package requires R-core.
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/

The license is correct and the package builds and install in rawhide so the
package is approved.

Comment 2 Gwyn Ciesla 2020-08-06 21:01:14 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-keyring

Comment 3 Fedora Update System 2020-08-08 23:58:40 UTC
FEDORA-2020-5d5bd6bc43 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d5bd6bc43

Comment 4 Fedora Update System 2020-08-09 00:02:09 UTC
FEDORA-2020-1272b7b881 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1272b7b881

Comment 5 Fedora Update System 2020-08-09 03:01:50 UTC
FEDORA-2020-1272b7b881 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-1272b7b881 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1272b7b881

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-09 03:47:50 UTC
FEDORA-2020-5d5bd6bc43 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-5d5bd6bc43 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d5bd6bc43

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-17 01:07:59 UTC
FEDORA-2020-1272b7b881 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-08-17 01:13:47 UTC
FEDORA-2020-5d5bd6bc43 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.